/*
Jarvis Schultz and Jake Ware
3-9-2010

Main function for demonstrating the library created for the swarm robot.

*/
/** Includes **************************************************/
#include "MotorControlsFloat.h"
#include "HardwareProfile.h"

/** Global Variables ******************************************/

/** Function Declarations *************************************/

/** Interrupt Handlers ****************************************/

/** User Called Functions *************************************/

/** Main Function: ********************************************/
int main()
{
	int PbClk; // Frequency of the peripheral bus clock

	// Let's set the integer PbClk to be the value of the frequency
	// of the peripheral bus clock
	PbClk = SYSTEMConfigPerformance(SYS_FREQ);	
	
	// Let's set the pins B12-B15 to be low digital outputs:
	LATB = 0x0000; 
	TRISB &= 0x0FFF;
	// Let's set the pins A2,A3,A14,A15 to be low digital outputs:
	LATA = 0x0000; 
	TRISA &= 0x3FF3;
	
	LATD = 0x0000;
	TRISD &= 0x3FFF;

	// Initialize the LED's:
	mInitAllLEDs();
		
	// Initialize the second timer for checking kinematics:
	InitTimer2();

	// Initialize UART Communication
	initUART2(PbClk);

	// Allow vector interrupts
	INTEnableSystemMultiVectoredInt();

	putsUART2("Program Started\r\n");

	while(1)
	{
		// We simply call this function repeatedly, and it executes
		// the main libraries written for the mobile robot
		RuntimeOperation();
	}
	
}












