// This is the header file for defining the 
// functions for controlling the motors.
#ifndef _MOTORS
#define _MOTORS

void SetStepsLeft(int set_steps);   	// This function manually changes the number stored in the number of steps variable for the left motor
void SetSpeedLeft(int motor_speed); 	// This function sets the left motor speed at the desired speed and begins driving the motor
int GetSpeedLeft(void);					// This function simply returns the current value of the speed set for the left motor in (steps/sec)
int GetStepsLeft(void);		 			// This function returns the current left motor position in steps

void SetStepsRight(int set_steps);   	// This function manually changes the number stored in the number of steps variable for the right motor
void SetSpeedRight(int motor_speed); 	// This function sets the right motor speed at the desired speed and begins driving the motor
int GetSpeedRight(void);				// This function simply returns the current value of the speed set for the left motor in (steps/sec)
int GetStepsRight(void);		 		// This function returns the current right motor position in steps

void StopHBridges(void);				// Used for disabling the power running through the H-bridges so that we can conserve power.
void initUART2(int pbClk);				// Function for initializing UART2

void SetPose(float xdest, float ydest, float thdest);
void PoseUpdate(void);					// Once we have received a full set of instructions, this function is called to implement them.
void InitTimer2(void);					// This function initializes timer 2
void RuntimeOperation(void);			// This function actually executes everything.  It needs to be called repeatedly in the main loop.
float min(float a, float b);
#endif













